#if !defined(AFX_EAXBUFFER_H__51B57970_5458_4C87_BF39_055F7A7B1691__INCLUDED_)
#define AFX_EAXBUFFER_H__51B57970_5458_4C87_BF39_055F7A7B1691__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EAXBuffer.h : header file
//
#include "Audio.h"

class CAudioTestDlg;

/////////////////////////////////////////////////////////////////////////////
// CEAXBuffer dialog

class CEAXBuffer : public CDialog
{
// Construction
public:
	CEAXBuffer(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CEAXBuffer)
	enum { IDD = IDD_EAX_BUFFER };
	CSliderCtrl	m_SliderRoomEffectVolumeHF;
	CSliderCtrl	m_SliderRoomEffectVolume;
	CSliderCtrl	m_SliderRoomEffectRolloffFactor;
	CSliderCtrl	m_SliderOutsideHFVolume;
	CSliderCtrl	m_SliderOcclusionVolume;
	CSliderCtrl	m_SliderOcclusionRoomRatio;
	CSliderCtrl	m_SliderOcclusionLFRatio;
	CSliderCtrl	m_SliderObstructionVolume;
	CSliderCtrl	m_SliderObstructionLFRatio;
	CSliderCtrl	m_SliderDirectPathVolumeHF;
	CSliderCtrl	m_SliderDirectPathVolume;
	CSliderCtrl	m_SliderBufferAirAbsorptionFactor;
	CEdit	m_EditRoomEffectVolumeHF;
	CEdit	m_EditRoomEffectVolume;
	CEdit	m_EditRoomEffectRolloffFactor;
	CEdit	m_EditOutsideHFVolume;
	CEdit	m_EditOcclusionVolume;
	CEdit	m_EditOcclusionRoomRatio;
	CEdit	m_EditOcclusionLFRatio;
	CEdit	m_EditObstructionVolume;
	CEdit	m_EditObstructionLFRatio;
	CEdit	m_EditDirectPathVolumeHF;
	CEdit	m_EditDirectPathVolume;
	CEdit	m_EditAirAbsorptionFactor;
	CButton	m_CheckAutoRoomEffectHF;
	CButton	m_CheckAutoRoomEffect;
	CButton	m_CheckAutoDirectPathHF;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEAXBuffer)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

public:
	CAudioTestDlg*		m_pTestDlg;
	void UpdateControls();

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CEAXBuffer)
	virtual void OnOK();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	virtual BOOL OnInitDialog();
	afx_msg void OnCheckAutoDirectPathHF();
	afx_msg void OnCheckAutoRoomEffectHF();
	afx_msg void OnCheckAutoRoomEffect();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	Audio::EAXBufferProps	m_Props;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EAXBUFFER_H__51B57970_5458_4C87_BF39_055F7A7B1691__INCLUDED_)
